import { trigger, transition, stagger, animate, style, query } from '@angular/animations';

export const staggerAnimation = trigger('stagger', [
  transition('* => *', [query('*', [style({ opacity: 0 }), stagger(10, [animate(200, style({ opacity: 1 }))])], { optional: true })]),
]);
